<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-24
 * Time: 14:45
 */

namespace App\Transformers;


use App\Models\Feed;
use App\Repositories\PostRepositories;
use App\Traits\PostTrait;
use App\Traits\UserTrait;
use Illuminate\Support\Facades\Redis;
use League\Fractal\TransformerAbstract;
use Carbon\Carbon;
use App\Models\PostDislike;
use App\Models\PostLike;

class FeedTransformer extends TransformerAbstract {
    use UserTrait;
    use PostTrait;
    public function transform(Feed $feed)
    {
        $content = null;
        if($feed['content']){
            $content = json_decode($feed['content']);
            if(isset($content->comment_id) && Redis::SISMEMBER('delete_post_comment_ids', $content->comment_id)){
                $content->comment_desc = '该评论已被删除';
                unset($content->comment_id);
            }
        }
        return [
            'id' => $feed['id'],
            'uid' => $feed['uid'],
            'follow_uid' => $feed['follow_uid'],
            'follow_username' => $feed['follow_username'],
            'follow_avatar' => $feed['follow_avatar'],
           // 'follow_status' => $this->getFollowStatus($feed['uid'],$feed['follow_uid']),
            'type' => $feed['type'],
            'relate_id' => $feed['relate_id'],
            'relate_data' => !empty($feed['relate_data'])?$feed['relate_data']:null,
            'content' => $content,
            'created_at' => Carbon::parse($feed['created_at'])->diffForHumans(),
        ];
    }
}